## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.5

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# NodeSortKey Class Reference

Simple data structure class for use by the NodeSorter class. More...

`#include <NodeSortKey.hpp>`

Collaboration diagram for NodeSortKey:

[legend]
List of all members.

## Public Types

- enum eCaseOrder { eDefault, eLowerFirst, eUpperFirst }

## Public Methods

- NodeSortKey (ExecutionContext &executionContext, const XPath &selectPat, bool treatAsNumbers, bool descending, eCaseOrder caseOrder, const XalanDOMString &langValue, const PrefixResolver &resolver)
    Construct a node sort key. More...
- NodeSortKey ()
- NodeSortKey (const NodeSortKey &theSource)
- ~NodeSortKey ()
- NodeSortKey& operator= (const NodeSortKey &theRHS)
- const XPath* getSelectPattern () const
    Retrieve the selection XPath. More...
- bool getTreatAsNumbers () const
    Whether to treat values as numbers. More...
- bool getDescending () const
    Whether to sort in descending order. More...
- eCaseOrder getCaseOrder () const
    Get the enumeration value for the case order. More...
- const PrefixResolver* getPrefixResolver () const
    Retrieve the resolver for namespaces. More...
- const XalanDOMString& getLanguageString () const

## Detailed Description

Simple data structure class for use by the NodeSorter class.

## Member Enumeration Documentation

enum NodeSortKey::eCaseOrder

  | Enumeration values:
  eDefault |
  eLowerFirst |
  eUpperFirst |

## Constructor & Destructor Documentation

NodeSortKey::NodeSortKey ( | ExecutionContext & executionContext,
| const XPath & selectPat,
| bool treatAsNumbers,
| bool descending,
| eCaseOrder caseOrder,
| const XalanDOMString & langValue,
| const PrefixResolver & resolver )

  | Construct a node sort key. Parameters:
  executionContext | current execution context
  selectPat | XPath for selection
  treatAsNumbers | treat as numeric values if true
  descending | sort in descending order if true
  caseOrder | case sort order enum
  langValue | language
  resolver | resolver for namespace resolution

NodeSortKey::NodeSortKey ( | )

NodeSortKey::NodeSortKey ( | const NodeSortKey & theSource )

NodeSortKey::~NodeSortKey ( | )

## Member Function Documentation

eCaseOrder NodeSortKey::getCaseOrder ( | ) const

| Get the enumeration value for the case order. Returns: sort upper case before lower case if true

bool NodeSortKey::getDescending ( | ) const

| Whether to sort in descending order. Returns: sort in descending order if true

const XalanDOMString & NodeSortKey::getLanguageString ( | ) const

const PrefixResolver * NodeSortKey::getPrefixResolver ( | ) const

| Retrieve the resolver for namespaces. Returns: object for namespace resolution

const XPath * NodeSortKey::getSelectPattern ( | ) const

| Retrieve the selection XPath. Returns: XPath for selection

bool NodeSortKey::getTreatAsNumbers ( | ) const

| Whether to treat values as numbers. Returns: treat as numeric values if true

NodeSortKey & NodeSortKey::operator= ( | const NodeSortKey & theRHS )

The documentation for this class was generated from the following file:

- NodeSortKey.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.5 Copyright © 2000, 2001, 2002, 2003 The Apache Software Foundation. All Rights Reserved.